# Modules Extension for TYPO3

Little helper for TYPO3-Extension-Developer for creating Backend modules in TYPO3.


**Features:**

*   Profile processing for logged in frontend user
*   Registration for frontend users (optional: registration confirmation by site administrator)
*   Invitation codes for registration (can be personalized and can have a time limit)
*   Backend module for managing frontend users incl. authorizations.
*   Backend module for managing backend users (suitable for editor users as well) incl. authorizations.
*   Backend module for managing invitation codes for registration.
*   Backend module for importing invitation codes for registration.
*   Toolbox for creating backend modules (find an example in the EXT:internal_notes extension in TYPO3-TER)
*   Toolbox for creating frontend administration areas
*   Toolbox for creating extensive intranet and applications
*   Frontend users list with detail-view in frontend, for displaying your team or users

If you need some additional or custom feature - get in contact!


**Links:**

*   [Modules Documentation](https://www.coding.ms/documentation/typo3-modules "Modules Documentation")
*   [Modules Bug-Tracker](https://gitlab.com/codingms/typo3-public/modules/-/issues "Modules Bug-Tracker")
*   [Modules Repository](https://gitlab.com/codingms/typo3-public/modules "Modules Repository")
*   [TYPO3 Modules Productdetails](https://www.coding.ms/typo3-extensions/typo3-modules/ "TYPO3 Modules Productdetails")
*   [TYPO3 Modules Documentation](https://www.coding.ms/documentation/typo3-modules/ "TYPO3 Modules Documentation")
*   [TYPO3 Modules Download](https://typo3.org/extensions/repository/view/modules "TYPO3 Modules Download")
